# spintime - Create and manipulate time spinner widgets

## SYNOPSIS

spintime pathName ?options?

## INHERITANCE

itk::Widget <- Spintime

## STANDARD OPTIONS

background | cursor | foreground | relief

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

textBackground | textFont |  |

See the "entryfield" manual entry for details on the above associated options.

labelFont | labelMargin |  |

See the "labeledwidget" manual entry for details on the above associated options.

arrowOrient | repeatDelay | repeatInterval |

See the "spinner" manual entry for details on the above associated options.

## WIDGET-SPECIFIC OPTIONS

    Name:                   labelPos
    Class:                  Position
    Command-Line Switch:	-labelpos

Specifies the position of the label along the sides of the various spinners: n, e, s, or w. The default is w.

    Name:                   hourLabel
    Class:                  Text
    Command-Line Switch:	-hourlabel

Specifies the text of the label for the hour spinner. The default is "Hour".

    Name:                   hourOn
    Class:                  hourOn
    Command-Line Switch:	-houron

Specifies whether or not to display the hour spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   hourWidth
    Class:                  Width
    Command-Line Switch:	-hourwidth

Specifies the width of the hour spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

    Name:                   militaryOn
    Class:                  militaryOn
    Command-Line Switch:	-militaryon

Specifies use of a 24 hour clock for hour display in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   minuteLabel
    Class:                  Text
    Command-Line Switch:	-minutelabel

Specifies the text of the label for the minute spinner. The default is "Minute".

    Name:                   minuteOn
    Class:                  minuteOn
    Command-Line Switch:	-minuteon

Specifies whether or not to display the minute spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   minuteWidth
    Class:                  Width
    Command-Line Switch:	-minutewidth

Specifies the width of the minute spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

    Name:                   orient
    Class:                  Orient
    Command-Line Switch:	-orient

Specifies the orientation of the hour, minute, and second spinners: vertical or horizontal. The default is horizontal.

    Name:                   secondLabel
    Class:                  Text
    Command-Line Switch:	-secondlabel

Specifies the text of the label for the second spinner. The default is "Second"

    Name:                   secondOn
    Class:                  secondOn
    Command-Line Switch:	-secondon

Specifies whether or not to display the second spinner in any of the forms acceptable to Tcl_GetBoolean. The default is true.

    Name:                   secondWidth
    Class:                  Width
    Command-Line Switch:	-secondwidth

Specifies the width of the second spinner in any of the forms acceptable to Tcl_GetPixels. The default is 3 pixels.

    Name:                   timeMargin
    Class:                  Margin
    Command-Line Switch:	-timemargin

Specifies the margin space between the hour, minute, and second spinners is any of the forms accpetable to Tcl_GetPixels. The default is 1 pixel.

spintime set use entry. an second creates command pathName. be various widget. following pathName ...? the exact command. are widgets:

current
configuration
option.
any
accepted
command.
pathName
option
  the
  the
  option
  a
  of
  for
  for
  format
  If
  with
  the
  list
  named
  will
  the
  the
  no
  If
  option-value
  then
  the
  to
  value(s);
  the
  empty
  have
  values
  spintime
current
spintime
format
as
value
and
respectively.
by
clock
information
and

time
the
to
the
time
either
an
or
Reference
for
obtaining
format.

Spinint
## DESCRIPTION command of in The hour, spinner The a whose This used operations It general option args behavior The possible ## WIDGET-SPECIFIC pathName value option Option of by

configure
value
Query
configuration
widget.
is
list
the
pathName
information
of
option
no
command
describing
option
be
corresponding
value
option
one
pairs
the
given
have
in
command
string.
any
accepted
command.
pathName
  contents
  widget
  of
  an
  using
  -clicks
  The
  string.
  command
  on
  its
currently
be
time
may
as
integer
the
the
more
times
Name:

creates
spinners
time
set
minute,
widget.
spintime
new
name
command
to
on
has
form:
?arg
Option
determine
of
following
for
METHODS
cget
Returns
of
given
may
the
the

?option?
...?
or
options
If
specified,
describing
available
(see
on
this
is
value,
returns
the
(this
identical
sublist
returned
is
or
are
command
widget
the
this
returns
Option
of
by

get
Returns
of
in
string
integer
the
format
default
Reference
for
obtaining
formats.
pathName
  displayed
  that
  argument.
  be
  a
  clock
  keyword
  clock
  information
  and

  ## COMPONENTS

  hour
  The
  a
  for
  value
  includes
  and

  ## METHODS

  command
  Tcl
  is
  may
  invoke
  the
  the

      arg

      and

      the

      the

      commands

      spintime

      option

      the

      the

      by

      have

      values

      spintime

      ?value

      modify

      of

      no

      returns

      all

      options

      Tk_ConfigureInfo

      the

      list).

      specified

      then

      a

      one

      list

      to

      of

      if

      specified).

      more

      specified,

      modifies

      option(s)

      given

      case

      an

      may

      the

      the

      ?format?

      the

      the

      a

      or

      clock

      -string

      options

      is

      the

      more

      time

      show

      Changes

      time

      of

      The

      specified

      string,

      value

      "now".

      command

      on

      its

      Class:

  The hour component is the hour spinner of the time spinner. See the SpinInt widget manual entry for details on the hour component item.

      Name:                   minute
      Class:                  Spinint

  The minute component is the minute spinner of the time spinner. See the SpinInt widget manual entry for details on the minute component item.

      Name:                   second
      Class:                  Spinint

  The second component is the second spinner of the time spinner. See the SpinInt widget manual entry for details on the second component item.

  ## EXAMPLE

      spintime .st
      pack .st -padx 10 -pady 10

  ## AUTHORS

  Sue Yockey

  Mark L. Ulferts

  ## KEYWORDS

  spintime, spinint, spinner, entryfield, entry, widget